#include <bits/stdc++.h>
using namespace std;


int main()
{
    int a[4];
    cin >> a[2] >> a[3];
    cin >> a[0] >> a[1];
    
    if(a[2]==a[0])
    {
        if(a[3]==a[1])
        {
            cout << "nijedan";

            return 0;
        }

        else if(a[3]>a[1])
        {
            cout << "drugi";

            return 0; 
        }
    }

    else if(a[2]>a[0])
    {
        if(a[3]==a[1])
        {
            cout << "prvi";

            return 0;
        }

        else if(a[3]>a[1])
        {
            cout << "?";

            return 0;
        }
    }
}